package jp.co.ecosysnetwork.ccloca_app.models;

import java.util.Locale;
import java.util.Objects;

import jp.co.ecosysnetwork.universal.EsnDebugLog;

public class busRoute_info implements Cloneable{

    /**
     *  コースのID
     */
    public String bus_route_no;
    /**
     * コース名称
     */
    public String bus_route_name;
    //region 生成と廃棄
    /*
     *  コンストラクタ
     */
    public busRoute_info()
    {
        bus_route_no = "0";
        bus_route_name = "";
    }
    //endregion

    //region 外部公開メソッド
    /**
     * デバッグログ文字列の取得
     * @return デバッグログ文字列
     */
    public String toLogString() {
        StringBuilder ret = new StringBuilder();
        ret.append(String.format(Locale.JAPAN,"bus_route_no=%s\n", bus_route_no));
        ret.append(String.format(Locale.JAPAN," bus_route_name=%s\n", bus_route_name));
        return ret.toString();
    }

    /**
     * 自身のクローンを返す
     * @return 自身のクローン
     */
    @Override
    public busRoute_info clone() {
        busRoute_info ret = null;
        try {
            ret = (busRoute_info)super.clone();

        } catch (CloneNotSupportedException ex) {
            EsnDebugLog.outputLog("clone失敗 " + ex.toString(), EsnDebugLog.DIV.ERR);
        }
        return ret;
    }

    /**
     * 同値判定（Android Studioの自動生成機能を使用）
     * @param o 比較対象オブジェクト
     * @return true：同じ false：異なる
     */
    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        busRoute_info that = (busRoute_info) o;
        return bus_route_no.equals(that.bus_route_no) &&
                bus_route_name.equals(that.bus_route_name);
    }

    /**
     * ハッシュコードを取得（Android Studioの自動生成機能を使用）
     * @return ハッシュコード
     */
    @Override
    public int hashCode() {
        return Objects.hash(bus_route_no, bus_route_name);
    }
    //endregion
}

